Jump to content

[SOLVED] RuneScape HD on Ubuntu/64


Bac_Talan

Recommended Posts

Ok, I've been trying to switch from Windows to Ubuntu as much as I can, and this is the biggest thing left that's keeping me on Windows:

 

 

 

I'm unable to play RuneScape normally on Ubuntu x64. So far, I've been able to use the default Java plugin and unsigned applet to play, but this doesn't work for the new HD mode. There appears to be no Sun Java plugin for Ubuntu x64 capable of playing RuneScape. Does anyone know how to get this working, short of downgrading to 32-bit Ubuntu?

I once shot a man in Reno, just to watch him die.
Pics or it didn't happen.
I hate my generation.
Link to comment
Share on other sites

You can try running Opera or Epiphany (tho Epi uses the same engine as Firefox if i don't remember wrong) and give it a go.

 

I recently formatted my hd, so haven't partitioned it yet for using dual boot (ubuntu). But When i had Ubuntu, i had no problem loading RS with default Java you're given. Tho this was Ubuntu 32-bit and before the new detail was released.

 

 

 

Maybe you can check if they say anything special about Linux 64-bit using the new detail mode, or ask in the official forum?

J'adore aussi le sexe et les snuff movies

Je trouve que ce sont des purs moments de vie

Je ne me reconnais plus dans les gens

Je suis juste un cas désespérant

Et comme personne ne viendra me réclamer

Je terminerai comme un objet retrouvé

Link to comment
Share on other sites

Your first hunch is right. There isn't any 64-bit web plugin currently available that supports RuneScape. IcedTea works in x64, but if it doesn't support RS, what good is it to you?

 

 

 

Anyway, you don't *have* to uninstall Ubuntu x64, but you do have to install a 32-bit OS. Review this post from the Ubuntu Forums and I wish you good luck with it.

Linux User/Enthusiast Full-Stack Software Engineer | Stack Overflow Member | GIMP User
s1L0U.jpg
...Alright, the Elf City update lured me back to RS over a year ago.

Link to comment
Share on other sites

Your first hunch is right. There isn't any 64-bit web plugin currently available that supports RuneScape. IcedTea works in x64, but if it doesn't support RS, what good is it to you?

 

 

 

Anyway, you don't *have* to uninstall Ubuntu x64, but you do have to install a 32-bit OS. Review this post from the Ubuntu Forums and I wish you good luck with it.

 

 

 

That link worked like a charm, thanks. :)

I once shot a man in Reno, just to watch him die.
Pics or it didn't happen.
I hate my generation.
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.